#-------------------------------------------------------------------------------
# Copyright 2008-2012 Istituto Nazionale di Fisica Nucleare (INFN)
#
# Licensed under the EUPL, Version 1.1 only (the "Licence").
# You may not use this work except in compliance with the Licence.
# You may obtain a copy of the Licence at:
#
# http://joinup.ec.europa.eu/system/files/EN/EUPL%20v.1.1%20-%20Licence.pdf
#
# Unless required by applicable law or agreed to in
# writing, software distributed under the Licence is
# distributed on an "AS IS" basis,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
# either express or implied.
# See the Licence for the specific language governing
# permissions and limitations under the Licence.
#-------------------------------------------------------------------------------

%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}

%define python_version 2.4
%define python_version_s 24
#%define is_less_eq %(test "%python_version > 2.4" && "%python_version < 2.6" && echo 0 || echo 1)

Name: wnodes_hypervisor
Version: 2.0.5
Release: 9%{?dist}
License: EUPL
URL:     http://web.infn.it/wnodes/
Group: INFN CNAF
Source: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/build-root-%{name}-%{version}
BuildArch: noarch
Distribution: any
Vendor: INFN CNAF
Packager: elisabetta ronchieri elisabetta.ronchieri@cnaf.infn.it
Summary: INFN CNAF WNODES HYPERVISOR

BuildRequires: automake
BuildRequires: python
Requires: python
Requires: wnodes_utils
Requires: vconfig
Requires: bridge-utils
Requires: tunctl
Requires: net-tools
Requires: libvirt-python
Requires: perl
Requires: openssh-clients
Requires: kvm
Requires: guestfish
Requires: xfsprogs
%if %{python_version_s} <= 24 
Requires: python-elementtree
%endif

%description
It contains hypervisor of WNODES

%prep
echo Building %{name}-%{version}

%setup -q -n %{name}-%{version}

%build
/bin/bash auto.sh
./configure --prefix=/usr --datadir=/usr/share --sysconfdir=/etc --localstatedir=/var --bindir=/usr/bin --exec_prefix=/usr
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT/%{_localstatedir}/log/wnodes/hypervisor
mv $RPM_BUILD_ROOT/%{_bindir}/%{name}/wnodes_hypervisor.py $RPM_BUILD_ROOT/%{_bindir}/%{name}/wnodes_hypervisor
mv $RPM_BUILD_ROOT/%{_bindir}/%{name}/wnodes_hypervisor_stop.py $RPM_BUILD_ROOT/%{_bindir}/%{name}/wnodes_hypervisor_stop

%post
# restart server if this is an upgrade
if [ "$1" = "1" ] ; then
  echo 'add service to chkconfig'
  /sbin/chkconfig --add %{name}
fi;
if [ "$1" = "2" ] ; then
  echo "The WNoDeS hypervisor has been upgraded but NOT configured yet."
  echo 'stop service'
  /sbin/service %{name} stop >/dev/null 2>&1 || :
fi;

%preun
#during an upgrade, the value of the argument passed in is 1
#during an uninstall, the value of the argument passed in is 0
if [ "$1" = "0" ] ; then
  echo 'stop service'
  /sbin/service %{name} stop >/dev/null 2>&1 || :
  echo 'del service from chkconfig'
  /sbin/chkconfig --del %{name}
fi;
if [ "$1" = "1" ] ; then
  echo "The WNoDeS hypervisor server has been upgraded but NOT configured yet."
  echo 'stop service'
  /sbin/service %{name} stop >/dev/null 2>&1 || :
fi;

%postun
#during an upgrade, the value of the argument passed in is 1
#during an uninstall, the value of the argument passed in is 0
if [ "$1" = "1" ] ; then
  echo "The WNoDeS hypervisor server has been upgraded but NOT configured yet."
  echo 'stop service'
  /sbin/service %{name} stop >/dev/null 2>&1 || :
fi;
if [ "$1" = "0" ] ; then
  echo 'remove old file'
  rm -f /etc/init.d/%{name}.*
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%{_sysconfdir}/init.d/%{name}

%dir %{_sysconfdir}/wnodes/hypervisor
%config(noreplace) %{_sysconfdir}/wnodes/hypervisor/wnodes.ini

%defattr(-, root, root, 0755)
%dir %{python_sitearch}/wnodes/hypervisor
%{python_sitearch}/wnodes/hypervisor/__init__.py
%{python_sitearch}/wnodes/hypervisor/__init__.pyc
%{python_sitearch}/wnodes/hypervisor/__init__.pyo
%{python_sitearch}/wnodes/hypervisor/net.py
%{python_sitearch}/wnodes/hypervisor/net.pyc
%{python_sitearch}/wnodes/hypervisor/net.pyo

%{_bindir}/%{name}/wnodes-qemu-kvm.sh
%{_bindir}/%{name}/wnodes_hypervisor
%{_bindir}/%{name}/wnodes_hypervisor_stop

%dir %{_localstatedir}/log/wnodes/hypervisor

%doc %dir %{_datadir}/doc/%{name}-%{version}
%doc %{_datadir}/doc/%{name}-%{version}/CREDITS
%doc %{_datadir}/doc/%{name}-%{version}/LICENSE
%doc %{_datadir}/doc/%{name}-%{version}/LICENSE-en.pdf
%doc %{_datadir}/doc/%{name}-%{version}/LICENSE-it.pdf
%doc %{_datadir}/doc/%{name}-%{version}/README

%changelog
* Thu Aug 15 2011 Gianni Dalla Torre
- Added plugins/wnodes_plugin_uselvm.*

* Fri Jul 15 2011 Elisabetta Ronchieri
- Renamed files

* Sat May 15 2011 Elisabetta Ronchieri
- Changed spec file according to fedora guidelines

* Thu Feb 24 2011 Gianni Dalla Torre
- Added plugins/wnodes_plugin_lsf.*

* Mon Feb 21 2011 Gianni Dalla Torre
- Added plugins/wnodes_plugin_mount.*

* Tue Feb 15 2011 Elisabetta Ronchieri
- Added conditional dependency for python-elementtree

* Mon Dec 6 2010 Elisabetta Roncheiri
- Added requires

* Wed Mar 10 2010 Elisabetta Roncheiri
- Changed the managing of spec file
